

# This is the root of the installation directory.
# GPKlib stuff get installed into $(BASE)/lib and $(BASE)/include .
BASE=$(HOME)/local

# Program for object-code archives.  Normally 'ar' on unix.
AR=ar

# Compiler flags:
# CFLAGS= -D__USE_GNU -Wall -g -x c++ -Wall -Wabi -Weffc++ -march=k8 -O3 -pipe 
CFLAGS=-DNCURSES_ENABLE_STDBOOL_H=0 -DNDEBUG -O2 -fastsse -Msmart -Msmartalloc -Mdse -Mconcur=altcode:100 -Mvect=fuse,assoc -Minfo=all
# Should be -march=opteron, but gcc 3.3.5 doesn't support it.

# Extra compiler flags for building shared libraries:
CFLAG_LIB = -fpic -shared

#Libraries used by gpklib
LIBS=-lm

# How to build a shared .so  library
LDSHARE=pgCC -shared
# LDSHARE=g++ -G

# Compiler for  .c to .o
# COMPILER=g++
COMPILER=pgCC

# Linker for executables
LD = pgCC $(LPATH)

MYLIBD=$(BASE)/lib
INC=$(BASE)/include
INCLUDES=-I$(INC)
CC=$(COMPILER) -D$(OS) $(INCLUDES)
CCLIB=$(COMPILER) -D$(OS) $(LIB_INC) $(INCLUDES) $(CFLAG_LIB)
LPATH=-L$(BASE)/lib

